2022-08-11 10:23 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005680SuperSeymour[All Projects] Generalpublic2022-06-18 16:58
ReporterKamil 
Assigned ToStingRayProject InfoSuper Seymour saves the Planet (Code Masters/Optimus Software)
http://www.whdload.de/games/SuperSeymour.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005680: Hi. Could you please improve Super Seymour Save the Planet for whdload? I do
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 2006-07-10

Hi. Could you please improve Super Seymour Save the Planet for whdload? I do not know about a real Amiga, but under Winuae, regardless of the system version or settings, the game after pressing quit (F10) returns to the system with an error: Exception "TRAP # 2" ($ 88) at $ 64286 occurred.
Winuae latest 4.9.1
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed14
ChipSetAGA
GFXCardPicasso II
ChipMem2 MB
FastMem256
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.8
importedyes
Attached Files

-Relationships
has duplicate 0005681closedStingRay Hi. Could you please improve Super Seymour Save the Planet for whdload? I do 
+Relationships

-Notes

note ~0011400

Paul Head (reporter)

I've tested this on my real A1200 with fast ram. The 'F10' key (68000 Quitkey?) does indeed give the Exception Error, whereas my normal 'PrtSc' Quitkey does not.
This is with V1.2 of the slave 6-7-2006. The ReadMe makes no mention of a 68000 Quitkey either, despite it clearly existing!

note ~0011401

StingRay (developer)

There is no 68000 quitkey support in V1.2 of the patch! Hence it clearly does not exist!

The patch is currently being rewritten, 68000 quitkey support will be added, the mentioned problem when quitting the game will be fixed and other improvements will be added as well.

note ~0011409

Paul Head (reporter)

Hello StingRay. If that's the case, how would you explain it? Does the game have its own 'F10 to quit' feature? All I can tell you is that what I said before is true!

note ~0011410

Paul Head (reporter)

Just to add...I'm not changing WHDLoad.prefs or anything with different Quitkey's in...mine is set to $5d, not F10; it will quit the game with both keys however, with the F10 giving the error.

note ~0011411

StingRay (developer)

"All I can tell you is that what I said before is true!"

It isn't! Add "NOVBRMOVE" tooltype and you will notice that the game will not quit anymore because there is no 68000 quitkey support at all in the current patch. Changing the quitkey works for you because you are using an A1200 with 68020 (or better) CPU, which allows WHDLoad to use the VBR (V.ector B.ase R.egister) to relocate interrupt vectors to allow quit without any dedicated quitkey handling in the patch itself. This will not work on 68000 as there is no VBR on such CPUs.

The error message that occurs when trying to quit with F10 is a bug in the game code (disk version will crash when F10 is pressed) as trap 2 is called but the trap vector has never been initialised.

note ~0011415

Paul Head (reporter)

I haven't changed the QuitKey! So anyway, I did what you said (NOVBRMOVE) and the game does still quit with 'F10' (with the error). Well, I don't think the game needs 68000 QuitKey support does it because it seems it already has it built-in! If it quacks like a duck etc... :-)

note ~0011416

Paul Head (reporter)

This time, try and make an F10 QuitKey that doesn't crash! :-P

note ~0011419

StingRay (developer)

Last edited: 2022-06-13 14:41

View 2 revisions

The game "quits" because WHDLoad intercepts the uninitialised trap 2 vector! This has absolutely nothing to do with any quitkey functionality, it is a game bug. Try NOVBRMOVE and changing the quitkey to anything else but F10, this will hopefully end this discussion!

note ~0011420

Paul Head (reporter)

Kamil must have an WinUAE A600 then, because F10 for quit is only there by default for the A600 user's benefit! Kamil! Are you there? Get that QuitKey changed to something else!

"This has absolutely nothing to do with any quitkey functionality, it is a game bug."

Except of course that the QuitKey is actually 'F10' by default. Just one of those weird coincidences. Anwyay, I`'m looking forward to the fix! Keep up the good work.

note ~0011421

lordelessar (reporter)

Kamil is my bug report.
My configuration for whdload games is the default Amiga 1200. In whdload.prefs I have quitkey as F10 ($ 59) for all games. That's why Super Seymour crashes into the system.
I confirm what @Paul Head wrote, when I set quitkey as $ 5d in the game file, the problem does not occur.

note ~0011422

StingRay (developer)

"Except of course that the QuitKey is actually 'F10' by default".

If 68000 quitkey support would have been added in the patch, this problem would actually not have occured at all, it would have been "silently" fixed. Game checks the F10 key (for whatever reason), the key code is set in the keybord interrupt, quitkey support in the patch handles the key before the game has any chance to process it. :)

Anyway, this has all been fixed already, I'm currently adding a few more trainer options and highscore load/save and then the new patch will be released.

note ~0011447

StingRay (developer)

Updated patch is now available.

note ~0011460

lordelessar (reporter)

Many thanks @StingRay.
+Notes

-Issue History
Date Modified Username Field Change
2022-06-07 21:56 administrator New Issue
2022-06-11 18:54 StingRay Assigned To => StingRay
2022-06-11 18:54 StingRay Status new => assigned
2022-06-11 19:08 StingRay Relationship added has duplicate 0005681
2022-06-12 12:22 Paul Head Note Added: 0011400
2022-06-12 12:39 StingRay Note Added: 0011401
2022-06-13 11:33 Paul Head Note Added: 0011409
2022-06-13 11:36 Paul Head Note Added: 0011410
2022-06-13 12:12 StingRay Note Added: 0011411
2022-06-13 14:00 Paul Head Note Added: 0011415
2022-06-13 14:03 Paul Head Note Added: 0011416
2022-06-13 14:40 StingRay Note Added: 0011419
2022-06-13 14:41 StingRay Note Edited: 0011419 View Revisions
2022-06-13 15:04 Paul Head Note Added: 0011420
2022-06-13 15:35 lordelessar Note Added: 0011421
2022-06-13 17:04 StingRay Note Added: 0011422
2022-06-17 18:42 StingRay Note Added: 0011447
2022-06-17 18:43 StingRay Status assigned => resolved
2022-06-17 18:43 StingRay Resolution open => fixed
2022-06-18 16:58 lordelessar Note Added: 0011460
+Issue History